org.eclipse.microprofile.reactive.streams.operators.tck.arquillian

## Class ReactiveStreamsCdiTck

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.ReactiveStreamsTck<ReactiveStreamsEngine>
  - - org.eclipse.microprofile.reactive.streams.operators.tck.arquillian.ReactiveStreamsCdiTck

    @ApplicationScoped
    public class ReactiveStreamsCdiTck
    extends ReactiveStreamsTck<ReactiveStreamsEngine>

### Constructor Summary

Constructors
Constructor and Description
`ReactiveStreamsCdiTck()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ReactiveStreamsEngine` `createEngine()` Override to provide the reactive streams engine.

### Methods inherited from class org.eclipse.microprofile.reactive.streams.operators.tck.ReactiveStreamsTck

`allTests, createFactory, isEnabled, shutdownEngine, shutdownEngine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveStreamsCdiTck

    public ReactiveStreamsCdiTck()

### Method Detail

#### createEngine

    protected ReactiveStreamsEngine createEngine()

Description copied from class: `ReactiveStreamsTck`
Override to provide the reactive streams engine.

Specified by:
  `createEngine` in class `ReactiveStreamsTck<ReactiveStreamsEngine>`